IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network98.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
98.0.0.0- Broadcast address
99.255.255.255- First usable
98.0.0.1- Last usable
99.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
62000000· Integer1644167168to1677721599 - Reverse DNS zones
98.in-addr.arpa99.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01100010.00000000.00000000.00000000 | 98.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 01100010.00000000.00000000.00000000 | 98.0.0.0 |
| Broadcast | 01100011.11111111.11111111.11111111 | 99.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
98.0.0.0/7 makes 256 subnets of /15.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 98.0.0.0/15 | 98.0.0.1 to 98.1.255.254 | 98.1.255.255 | 131,070 |
| 2 | 98.2.0.0/15 | 98.2.0.1 to 98.3.255.254 | 98.3.255.255 | 131,070 |
| 3 | 98.4.0.0/15 | 98.4.0.1 to 98.5.255.254 | 98.5.255.255 | 131,070 |
| 4 | 98.6.0.0/15 | 98.6.0.1 to 98.7.255.254 | 98.7.255.255 | 131,070 |
| 5 | 98.8.0.0/15 | 98.8.0.1 to 98.9.255.254 | 98.9.255.255 | 131,070 |
| 6 | 98.10.0.0/15 | 98.10.0.1 to 98.11.255.254 | 98.11.255.255 | 131,070 |
| 7 | 98.12.0.0/15 | 98.12.0.1 to 98.13.255.254 | 98.13.255.255 | 131,070 |
| 8 | 98.14.0.0/15 | 98.14.0.1 to 98.15.255.254 | 98.15.255.255 | 131,070 |
| 9 | 98.16.0.0/15 | 98.16.0.1 to 98.17.255.254 | 98.17.255.255 | 131,070 |
| 10 | 98.18.0.0/15 | 98.18.0.1 to 98.19.255.254 | 98.19.255.255 | 131,070 |
| 11 | 98.20.0.0/15 | 98.20.0.1 to 98.21.255.254 | 98.21.255.255 | 131,070 |
| 12 | 98.22.0.0/15 | 98.22.0.1 to 98.23.255.254 | 98.23.255.255 | 131,070 |
| 13 | 98.24.0.0/15 | 98.24.0.1 to 98.25.255.254 | 98.25.255.255 | 131,070 |
| 14 | 98.26.0.0/15 | 98.26.0.1 to 98.27.255.254 | 98.27.255.255 | 131,070 |
| 15 | 98.28.0.0/15 | 98.28.0.1 to 98.29.255.254 | 98.29.255.255 | 131,070 |
| 16 | 98.30.0.0/15 | 98.30.0.1 to 98.31.255.254 | 98.31.255.255 | 131,070 |
| 17 | 98.32.0.0/15 | 98.32.0.1 to 98.33.255.254 | 98.33.255.255 | 131,070 |
| 18 | 98.34.0.0/15 | 98.34.0.1 to 98.35.255.254 | 98.35.255.255 | 131,070 |
| 19 | 98.36.0.0/15 | 98.36.0.1 to 98.37.255.254 | 98.37.255.255 | 131,070 |
| 20 | 98.38.0.0/15 | 98.38.0.1 to 98.39.255.254 | 98.39.255.255 | 131,070 |
| 21 | 98.40.0.0/15 | 98.40.0.1 to 98.41.255.254 | 98.41.255.255 | 131,070 |
| 22 | 98.42.0.0/15 | 98.42.0.1 to 98.43.255.254 | 98.43.255.255 | 131,070 |
| 23 | 98.44.0.0/15 | 98.44.0.1 to 98.45.255.254 | 98.45.255.255 | 131,070 |
| 24 | 98.46.0.0/15 | 98.46.0.1 to 98.47.255.254 | 98.47.255.255 | 131,070 |
| 25 | 98.48.0.0/15 | 98.48.0.1 to 98.49.255.254 | 98.49.255.255 | 131,070 |
| 26 | 98.50.0.0/15 | 98.50.0.1 to 98.51.255.254 | 98.51.255.255 | 131,070 |
| 27 | 98.52.0.0/15 | 98.52.0.1 to 98.53.255.254 | 98.53.255.255 | 131,070 |
| 28 | 98.54.0.0/15 | 98.54.0.1 to 98.55.255.254 | 98.55.255.255 | 131,070 |
| 29 | 98.56.0.0/15 | 98.56.0.1 to 98.57.255.254 | 98.57.255.255 | 131,070 |
| 30 | 98.58.0.0/15 | 98.58.0.1 to 98.59.255.254 | 98.59.255.255 | 131,070 |
| 31 | 98.60.0.0/15 | 98.60.0.1 to 98.61.255.254 | 98.61.255.255 | 131,070 |
| 32 | 98.62.0.0/15 | 98.62.0.1 to 98.63.255.254 | 98.63.255.255 | 131,070 |
| 33 | 98.64.0.0/15 | 98.64.0.1 to 98.65.255.254 | 98.65.255.255 | 131,070 |
| 34 | 98.66.0.0/15 | 98.66.0.1 to 98.67.255.254 | 98.67.255.255 | 131,070 |
| 35 | 98.68.0.0/15 | 98.68.0.1 to 98.69.255.254 | 98.69.255.255 | 131,070 |
| 36 | 98.70.0.0/15 | 98.70.0.1 to 98.71.255.254 | 98.71.255.255 | 131,070 |
| 37 | 98.72.0.0/15 | 98.72.0.1 to 98.73.255.254 | 98.73.255.255 | 131,070 |
| 38 | 98.74.0.0/15 | 98.74.0.1 to 98.75.255.254 | 98.75.255.255 | 131,070 |
| 39 | 98.76.0.0/15 | 98.76.0.1 to 98.77.255.254 | 98.77.255.255 | 131,070 |
| 40 | 98.78.0.0/15 | 98.78.0.1 to 98.79.255.254 | 98.79.255.255 | 131,070 |
| 41 | 98.80.0.0/15 | 98.80.0.1 to 98.81.255.254 | 98.81.255.255 | 131,070 |
| 42 | 98.82.0.0/15 | 98.82.0.1 to 98.83.255.254 | 98.83.255.255 | 131,070 |
| 43 | 98.84.0.0/15 | 98.84.0.1 to 98.85.255.254 | 98.85.255.255 | 131,070 |
| 44 | 98.86.0.0/15 | 98.86.0.1 to 98.87.255.254 | 98.87.255.255 | 131,070 |
| 45 | 98.88.0.0/15 | 98.88.0.1 to 98.89.255.254 | 98.89.255.255 | 131,070 |
| 46 | 98.90.0.0/15 | 98.90.0.1 to 98.91.255.254 | 98.91.255.255 | 131,070 |
| 47 | 98.92.0.0/15 | 98.92.0.1 to 98.93.255.254 | 98.93.255.255 | 131,070 |
| 48 | 98.94.0.0/15 | 98.94.0.1 to 98.95.255.254 | 98.95.255.255 | 131,070 |
| 49 | 98.96.0.0/15 | 98.96.0.1 to 98.97.255.254 | 98.97.255.255 | 131,070 |
| 50 | 98.98.0.0/15 | 98.98.0.1 to 98.99.255.254 | 98.99.255.255 | 131,070 |
| 51 | 98.100.0.0/15 | 98.100.0.1 to 98.101.255.254 | 98.101.255.255 | 131,070 |
| 52 | 98.102.0.0/15 | 98.102.0.1 to 98.103.255.254 | 98.103.255.255 | 131,070 |
| 53 | 98.104.0.0/15 | 98.104.0.1 to 98.105.255.254 | 98.105.255.255 | 131,070 |
| 54 | 98.106.0.0/15 | 98.106.0.1 to 98.107.255.254 | 98.107.255.255 | 131,070 |
| 55 | 98.108.0.0/15 | 98.108.0.1 to 98.109.255.254 | 98.109.255.255 | 131,070 |
| 56 | 98.110.0.0/15 | 98.110.0.1 to 98.111.255.254 | 98.111.255.255 | 131,070 |
| 57 | 98.112.0.0/15 | 98.112.0.1 to 98.113.255.254 | 98.113.255.255 | 131,070 |
| 58 | 98.114.0.0/15 | 98.114.0.1 to 98.115.255.254 | 98.115.255.255 | 131,070 |
| 59 | 98.116.0.0/15 | 98.116.0.1 to 98.117.255.254 | 98.117.255.255 | 131,070 |
| 60 | 98.118.0.0/15 | 98.118.0.1 to 98.119.255.254 | 98.119.255.255 | 131,070 |
| 61 | 98.120.0.0/15 | 98.120.0.1 to 98.121.255.254 | 98.121.255.255 | 131,070 |
| 62 | 98.122.0.0/15 | 98.122.0.1 to 98.123.255.254 | 98.123.255.255 | 131,070 |
| 63 | 98.124.0.0/15 | 98.124.0.1 to 98.125.255.254 | 98.125.255.255 | 131,070 |
| 64 | 98.126.0.0/15 | 98.126.0.1 to 98.127.255.254 | 98.127.255.255 | 131,070 |
| 65 | 98.128.0.0/15 | 98.128.0.1 to 98.129.255.254 | 98.129.255.255 | 131,070 |
| 66 | 98.130.0.0/15 | 98.130.0.1 to 98.131.255.254 | 98.131.255.255 | 131,070 |
| 67 | 98.132.0.0/15 | 98.132.0.1 to 98.133.255.254 | 98.133.255.255 | 131,070 |
| 68 | 98.134.0.0/15 | 98.134.0.1 to 98.135.255.254 | 98.135.255.255 | 131,070 |
| 69 | 98.136.0.0/15 | 98.136.0.1 to 98.137.255.254 | 98.137.255.255 | 131,070 |
| 70 | 98.138.0.0/15 | 98.138.0.1 to 98.139.255.254 | 98.139.255.255 | 131,070 |
| 71 | 98.140.0.0/15 | 98.140.0.1 to 98.141.255.254 | 98.141.255.255 | 131,070 |
| 72 | 98.142.0.0/15 | 98.142.0.1 to 98.143.255.254 | 98.143.255.255 | 131,070 |
| 73 | 98.144.0.0/15 | 98.144.0.1 to 98.145.255.254 | 98.145.255.255 | 131,070 |
| 74 | 98.146.0.0/15 | 98.146.0.1 to 98.147.255.254 | 98.147.255.255 | 131,070 |
| 75 | 98.148.0.0/15 | 98.148.0.1 to 98.149.255.254 | 98.149.255.255 | 131,070 |
| 76 | 98.150.0.0/15 | 98.150.0.1 to 98.151.255.254 | 98.151.255.255 | 131,070 |
| 77 | 98.152.0.0/15 | 98.152.0.1 to 98.153.255.254 | 98.153.255.255 | 131,070 |
| 78 | 98.154.0.0/15 | 98.154.0.1 to 98.155.255.254 | 98.155.255.255 | 131,070 |
| 79 | 98.156.0.0/15 | 98.156.0.1 to 98.157.255.254 | 98.157.255.255 | 131,070 |
| 80 | 98.158.0.0/15 | 98.158.0.1 to 98.159.255.254 | 98.159.255.255 | 131,070 |
| 81 | 98.160.0.0/15 | 98.160.0.1 to 98.161.255.254 | 98.161.255.255 | 131,070 |
| 82 | 98.162.0.0/15 | 98.162.0.1 to 98.163.255.254 | 98.163.255.255 | 131,070 |
| 83 | 98.164.0.0/15 | 98.164.0.1 to 98.165.255.254 | 98.165.255.255 | 131,070 |
| 84 | 98.166.0.0/15 | 98.166.0.1 to 98.167.255.254 | 98.167.255.255 | 131,070 |
| 85 | 98.168.0.0/15 | 98.168.0.1 to 98.169.255.254 | 98.169.255.255 | 131,070 |
| 86 | 98.170.0.0/15 | 98.170.0.1 to 98.171.255.254 | 98.171.255.255 | 131,070 |
| 87 | 98.172.0.0/15 | 98.172.0.1 to 98.173.255.254 | 98.173.255.255 | 131,070 |
| 88 | 98.174.0.0/15 | 98.174.0.1 to 98.175.255.254 | 98.175.255.255 | 131,070 |
| 89 | 98.176.0.0/15 | 98.176.0.1 to 98.177.255.254 | 98.177.255.255 | 131,070 |
| 90 | 98.178.0.0/15 | 98.178.0.1 to 98.179.255.254 | 98.179.255.255 | 131,070 |
| 91 | 98.180.0.0/15 | 98.180.0.1 to 98.181.255.254 | 98.181.255.255 | 131,070 |
| 92 | 98.182.0.0/15 | 98.182.0.1 to 98.183.255.254 | 98.183.255.255 | 131,070 |
| 93 | 98.184.0.0/15 | 98.184.0.1 to 98.185.255.254 | 98.185.255.255 | 131,070 |
| 94 | 98.186.0.0/15 | 98.186.0.1 to 98.187.255.254 | 98.187.255.255 | 131,070 |
| 95 | 98.188.0.0/15 | 98.188.0.1 to 98.189.255.254 | 98.189.255.255 | 131,070 |
| 96 | 98.190.0.0/15 | 98.190.0.1 to 98.191.255.254 | 98.191.255.255 | 131,070 |
| 97 | 98.192.0.0/15 | 98.192.0.1 to 98.193.255.254 | 98.193.255.255 | 131,070 |
| 98 | 98.194.0.0/15 | 98.194.0.1 to 98.195.255.254 | 98.195.255.255 | 131,070 |
| 99 | 98.196.0.0/15 | 98.196.0.1 to 98.197.255.254 | 98.197.255.255 | 131,070 |
| 100 | 98.198.0.0/15 | 98.198.0.1 to 98.199.255.254 | 98.199.255.255 | 131,070 |
| 101 | 98.200.0.0/15 | 98.200.0.1 to 98.201.255.254 | 98.201.255.255 | 131,070 |
| 102 | 98.202.0.0/15 | 98.202.0.1 to 98.203.255.254 | 98.203.255.255 | 131,070 |
| 103 | 98.204.0.0/15 | 98.204.0.1 to 98.205.255.254 | 98.205.255.255 | 131,070 |
| 104 | 98.206.0.0/15 | 98.206.0.1 to 98.207.255.254 | 98.207.255.255 | 131,070 |
| 105 | 98.208.0.0/15 | 98.208.0.1 to 98.209.255.254 | 98.209.255.255 | 131,070 |
| 106 | 98.210.0.0/15 | 98.210.0.1 to 98.211.255.254 | 98.211.255.255 | 131,070 |
| 107 | 98.212.0.0/15 | 98.212.0.1 to 98.213.255.254 | 98.213.255.255 | 131,070 |
| 108 | 98.214.0.0/15 | 98.214.0.1 to 98.215.255.254 | 98.215.255.255 | 131,070 |
| 109 | 98.216.0.0/15 | 98.216.0.1 to 98.217.255.254 | 98.217.255.255 | 131,070 |
| 110 | 98.218.0.0/15 | 98.218.0.1 to 98.219.255.254 | 98.219.255.255 | 131,070 |
| 111 | 98.220.0.0/15 | 98.220.0.1 to 98.221.255.254 | 98.221.255.255 | 131,070 |
| 112 | 98.222.0.0/15 | 98.222.0.1 to 98.223.255.254 | 98.223.255.255 | 131,070 |
| 113 | 98.224.0.0/15 | 98.224.0.1 to 98.225.255.254 | 98.225.255.255 | 131,070 |
| 114 | 98.226.0.0/15 | 98.226.0.1 to 98.227.255.254 | 98.227.255.255 | 131,070 |
| 115 | 98.228.0.0/15 | 98.228.0.1 to 98.229.255.254 | 98.229.255.255 | 131,070 |
| 116 | 98.230.0.0/15 | 98.230.0.1 to 98.231.255.254 | 98.231.255.255 | 131,070 |
| 117 | 98.232.0.0/15 | 98.232.0.1 to 98.233.255.254 | 98.233.255.255 | 131,070 |
| 118 | 98.234.0.0/15 | 98.234.0.1 to 98.235.255.254 | 98.235.255.255 | 131,070 |
| 119 | 98.236.0.0/15 | 98.236.0.1 to 98.237.255.254 | 98.237.255.255 | 131,070 |
| 120 | 98.238.0.0/15 | 98.238.0.1 to 98.239.255.254 | 98.239.255.255 | 131,070 |
| 121 | 98.240.0.0/15 | 98.240.0.1 to 98.241.255.254 | 98.241.255.255 | 131,070 |
| 122 | 98.242.0.0/15 | 98.242.0.1 to 98.243.255.254 | 98.243.255.255 | 131,070 |
| 123 | 98.244.0.0/15 | 98.244.0.1 to 98.245.255.254 | 98.245.255.255 | 131,070 |
| 124 | 98.246.0.0/15 | 98.246.0.1 to 98.247.255.254 | 98.247.255.255 | 131,070 |
| 125 | 98.248.0.0/15 | 98.248.0.1 to 98.249.255.254 | 98.249.255.255 | 131,070 |
| 126 | 98.250.0.0/15 | 98.250.0.1 to 98.251.255.254 | 98.251.255.255 | 131,070 |
| 127 | 98.252.0.0/15 | 98.252.0.1 to 98.253.255.254 | 98.253.255.255 | 131,070 |
| 128 | 98.254.0.0/15 | 98.254.0.1 to 98.255.255.254 | 98.255.255.255 | 131,070 |
| 129 | 99.0.0.0/15 | 99.0.0.1 to 99.1.255.254 | 99.1.255.255 | 131,070 |
| 130 | 99.2.0.0/15 | 99.2.0.1 to 99.3.255.254 | 99.3.255.255 | 131,070 |
| 131 | 99.4.0.0/15 | 99.4.0.1 to 99.5.255.254 | 99.5.255.255 | 131,070 |
| 132 | 99.6.0.0/15 | 99.6.0.1 to 99.7.255.254 | 99.7.255.255 | 131,070 |
| 133 | 99.8.0.0/15 | 99.8.0.1 to 99.9.255.254 | 99.9.255.255 | 131,070 |
| 134 | 99.10.0.0/15 | 99.10.0.1 to 99.11.255.254 | 99.11.255.255 | 131,070 |
| 135 | 99.12.0.0/15 | 99.12.0.1 to 99.13.255.254 | 99.13.255.255 | 131,070 |
| 136 | 99.14.0.0/15 | 99.14.0.1 to 99.15.255.254 | 99.15.255.255 | 131,070 |
| 137 | 99.16.0.0/15 | 99.16.0.1 to 99.17.255.254 | 99.17.255.255 | 131,070 |
| 138 | 99.18.0.0/15 | 99.18.0.1 to 99.19.255.254 | 99.19.255.255 | 131,070 |
| 139 | 99.20.0.0/15 | 99.20.0.1 to 99.21.255.254 | 99.21.255.255 | 131,070 |
| 140 | 99.22.0.0/15 | 99.22.0.1 to 99.23.255.254 | 99.23.255.255 | 131,070 |
| 141 | 99.24.0.0/15 | 99.24.0.1 to 99.25.255.254 | 99.25.255.255 | 131,070 |
| 142 | 99.26.0.0/15 | 99.26.0.1 to 99.27.255.254 | 99.27.255.255 | 131,070 |
| 143 | 99.28.0.0/15 | 99.28.0.1 to 99.29.255.254 | 99.29.255.255 | 131,070 |
| 144 | 99.30.0.0/15 | 99.30.0.1 to 99.31.255.254 | 99.31.255.255 | 131,070 |
| 145 | 99.32.0.0/15 | 99.32.0.1 to 99.33.255.254 | 99.33.255.255 | 131,070 |
| 146 | 99.34.0.0/15 | 99.34.0.1 to 99.35.255.254 | 99.35.255.255 | 131,070 |
| 147 | 99.36.0.0/15 | 99.36.0.1 to 99.37.255.254 | 99.37.255.255 | 131,070 |
| 148 | 99.38.0.0/15 | 99.38.0.1 to 99.39.255.254 | 99.39.255.255 | 131,070 |
| 149 | 99.40.0.0/15 | 99.40.0.1 to 99.41.255.254 | 99.41.255.255 | 131,070 |
| 150 | 99.42.0.0/15 | 99.42.0.1 to 99.43.255.254 | 99.43.255.255 | 131,070 |
| 151 | 99.44.0.0/15 | 99.44.0.1 to 99.45.255.254 | 99.45.255.255 | 131,070 |
| 152 | 99.46.0.0/15 | 99.46.0.1 to 99.47.255.254 | 99.47.255.255 | 131,070 |
| 153 | 99.48.0.0/15 | 99.48.0.1 to 99.49.255.254 | 99.49.255.255 | 131,070 |
| 154 | 99.50.0.0/15 | 99.50.0.1 to 99.51.255.254 | 99.51.255.255 | 131,070 |
| 155 | 99.52.0.0/15 | 99.52.0.1 to 99.53.255.254 | 99.53.255.255 | 131,070 |
| 156 | 99.54.0.0/15 | 99.54.0.1 to 99.55.255.254 | 99.55.255.255 | 131,070 |
| 157 | 99.56.0.0/15 | 99.56.0.1 to 99.57.255.254 | 99.57.255.255 | 131,070 |
| 158 | 99.58.0.0/15 | 99.58.0.1 to 99.59.255.254 | 99.59.255.255 | 131,070 |
| 159 | 99.60.0.0/15 | 99.60.0.1 to 99.61.255.254 | 99.61.255.255 | 131,070 |
| 160 | 99.62.0.0/15 | 99.62.0.1 to 99.63.255.254 | 99.63.255.255 | 131,070 |
| 161 | 99.64.0.0/15 | 99.64.0.1 to 99.65.255.254 | 99.65.255.255 | 131,070 |
| 162 | 99.66.0.0/15 | 99.66.0.1 to 99.67.255.254 | 99.67.255.255 | 131,070 |
| 163 | 99.68.0.0/15 | 99.68.0.1 to 99.69.255.254 | 99.69.255.255 | 131,070 |
| 164 | 99.70.0.0/15 | 99.70.0.1 to 99.71.255.254 | 99.71.255.255 | 131,070 |
| 165 | 99.72.0.0/15 | 99.72.0.1 to 99.73.255.254 | 99.73.255.255 | 131,070 |
| 166 | 99.74.0.0/15 | 99.74.0.1 to 99.75.255.254 | 99.75.255.255 | 131,070 |
| 167 | 99.76.0.0/15 | 99.76.0.1 to 99.77.255.254 | 99.77.255.255 | 131,070 |
| 168 | 99.78.0.0/15 | 99.78.0.1 to 99.79.255.254 | 99.79.255.255 | 131,070 |
| 169 | 99.80.0.0/15 | 99.80.0.1 to 99.81.255.254 | 99.81.255.255 | 131,070 |
| 170 | 99.82.0.0/15 | 99.82.0.1 to 99.83.255.254 | 99.83.255.255 | 131,070 |
| 171 | 99.84.0.0/15 | 99.84.0.1 to 99.85.255.254 | 99.85.255.255 | 131,070 |
| 172 | 99.86.0.0/15 | 99.86.0.1 to 99.87.255.254 | 99.87.255.255 | 131,070 |
| 173 | 99.88.0.0/15 | 99.88.0.1 to 99.89.255.254 | 99.89.255.255 | 131,070 |
| 174 | 99.90.0.0/15 | 99.90.0.1 to 99.91.255.254 | 99.91.255.255 | 131,070 |
| 175 | 99.92.0.0/15 | 99.92.0.1 to 99.93.255.254 | 99.93.255.255 | 131,070 |
| 176 | 99.94.0.0/15 | 99.94.0.1 to 99.95.255.254 | 99.95.255.255 | 131,070 |
| 177 | 99.96.0.0/15 | 99.96.0.1 to 99.97.255.254 | 99.97.255.255 | 131,070 |
| 178 | 99.98.0.0/15 | 99.98.0.1 to 99.99.255.254 | 99.99.255.255 | 131,070 |
| 179 | 99.100.0.0/15 | 99.100.0.1 to 99.101.255.254 | 99.101.255.255 | 131,070 |
| 180 | 99.102.0.0/15 | 99.102.0.1 to 99.103.255.254 | 99.103.255.255 | 131,070 |
| 181 | 99.104.0.0/15 | 99.104.0.1 to 99.105.255.254 | 99.105.255.255 | 131,070 |
| 182 | 99.106.0.0/15 | 99.106.0.1 to 99.107.255.254 | 99.107.255.255 | 131,070 |
| 183 | 99.108.0.0/15 | 99.108.0.1 to 99.109.255.254 | 99.109.255.255 | 131,070 |
| 184 | 99.110.0.0/15 | 99.110.0.1 to 99.111.255.254 | 99.111.255.255 | 131,070 |
| 185 | 99.112.0.0/15 | 99.112.0.1 to 99.113.255.254 | 99.113.255.255 | 131,070 |
| 186 | 99.114.0.0/15 | 99.114.0.1 to 99.115.255.254 | 99.115.255.255 | 131,070 |
| 187 | 99.116.0.0/15 | 99.116.0.1 to 99.117.255.254 | 99.117.255.255 | 131,070 |
| 188 | 99.118.0.0/15 | 99.118.0.1 to 99.119.255.254 | 99.119.255.255 | 131,070 |
| 189 | 99.120.0.0/15 | 99.120.0.1 to 99.121.255.254 | 99.121.255.255 | 131,070 |
| 190 | 99.122.0.0/15 | 99.122.0.1 to 99.123.255.254 | 99.123.255.255 | 131,070 |
| 191 | 99.124.0.0/15 | 99.124.0.1 to 99.125.255.254 | 99.125.255.255 | 131,070 |
| 192 | 99.126.0.0/15 | 99.126.0.1 to 99.127.255.254 | 99.127.255.255 | 131,070 |
| 193 | 99.128.0.0/15 | 99.128.0.1 to 99.129.255.254 | 99.129.255.255 | 131,070 |
| 194 | 99.130.0.0/15 | 99.130.0.1 to 99.131.255.254 | 99.131.255.255 | 131,070 |
| 195 | 99.132.0.0/15 | 99.132.0.1 to 99.133.255.254 | 99.133.255.255 | 131,070 |
| 196 | 99.134.0.0/15 | 99.134.0.1 to 99.135.255.254 | 99.135.255.255 | 131,070 |
| 197 | 99.136.0.0/15 | 99.136.0.1 to 99.137.255.254 | 99.137.255.255 | 131,070 |
| 198 | 99.138.0.0/15 | 99.138.0.1 to 99.139.255.254 | 99.139.255.255 | 131,070 |
| 199 | 99.140.0.0/15 | 99.140.0.1 to 99.141.255.254 | 99.141.255.255 | 131,070 |
| 200 | 99.142.0.0/15 | 99.142.0.1 to 99.143.255.254 | 99.143.255.255 | 131,070 |
| 201 | 99.144.0.0/15 | 99.144.0.1 to 99.145.255.254 | 99.145.255.255 | 131,070 |
| 202 | 99.146.0.0/15 | 99.146.0.1 to 99.147.255.254 | 99.147.255.255 | 131,070 |
| 203 | 99.148.0.0/15 | 99.148.0.1 to 99.149.255.254 | 99.149.255.255 | 131,070 |
| 204 | 99.150.0.0/15 | 99.150.0.1 to 99.151.255.254 | 99.151.255.255 | 131,070 |
| 205 | 99.152.0.0/15 | 99.152.0.1 to 99.153.255.254 | 99.153.255.255 | 131,070 |
| 206 | 99.154.0.0/15 | 99.154.0.1 to 99.155.255.254 | 99.155.255.255 | 131,070 |
| 207 | 99.156.0.0/15 | 99.156.0.1 to 99.157.255.254 | 99.157.255.255 | 131,070 |
| 208 | 99.158.0.0/15 | 99.158.0.1 to 99.159.255.254 | 99.159.255.255 | 131,070 |
| 209 | 99.160.0.0/15 | 99.160.0.1 to 99.161.255.254 | 99.161.255.255 | 131,070 |
| 210 | 99.162.0.0/15 | 99.162.0.1 to 99.163.255.254 | 99.163.255.255 | 131,070 |
| 211 | 99.164.0.0/15 | 99.164.0.1 to 99.165.255.254 | 99.165.255.255 | 131,070 |
| 212 | 99.166.0.0/15 | 99.166.0.1 to 99.167.255.254 | 99.167.255.255 | 131,070 |
| 213 | 99.168.0.0/15 | 99.168.0.1 to 99.169.255.254 | 99.169.255.255 | 131,070 |
| 214 | 99.170.0.0/15 | 99.170.0.1 to 99.171.255.254 | 99.171.255.255 | 131,070 |
| 215 | 99.172.0.0/15 | 99.172.0.1 to 99.173.255.254 | 99.173.255.255 | 131,070 |
| 216 | 99.174.0.0/15 | 99.174.0.1 to 99.175.255.254 | 99.175.255.255 | 131,070 |
| 217 | 99.176.0.0/15 | 99.176.0.1 to 99.177.255.254 | 99.177.255.255 | 131,070 |
| 218 | 99.178.0.0/15 | 99.178.0.1 to 99.179.255.254 | 99.179.255.255 | 131,070 |
| 219 | 99.180.0.0/15 | 99.180.0.1 to 99.181.255.254 | 99.181.255.255 | 131,070 |
| 220 | 99.182.0.0/15 | 99.182.0.1 to 99.183.255.254 | 99.183.255.255 | 131,070 |
| 221 | 99.184.0.0/15 | 99.184.0.1 to 99.185.255.254 | 99.185.255.255 | 131,070 |
| 222 | 99.186.0.0/15 | 99.186.0.1 to 99.187.255.254 | 99.187.255.255 | 131,070 |
| 223 | 99.188.0.0/15 | 99.188.0.1 to 99.189.255.254 | 99.189.255.255 | 131,070 |
| 224 | 99.190.0.0/15 | 99.190.0.1 to 99.191.255.254 | 99.191.255.255 | 131,070 |
| 225 | 99.192.0.0/15 | 99.192.0.1 to 99.193.255.254 | 99.193.255.255 | 131,070 |
| 226 | 99.194.0.0/15 | 99.194.0.1 to 99.195.255.254 | 99.195.255.255 | 131,070 |
| 227 | 99.196.0.0/15 | 99.196.0.1 to 99.197.255.254 | 99.197.255.255 | 131,070 |
| 228 | 99.198.0.0/15 | 99.198.0.1 to 99.199.255.254 | 99.199.255.255 | 131,070 |
| 229 | 99.200.0.0/15 | 99.200.0.1 to 99.201.255.254 | 99.201.255.255 | 131,070 |
| 230 | 99.202.0.0/15 | 99.202.0.1 to 99.203.255.254 | 99.203.255.255 | 131,070 |
| 231 | 99.204.0.0/15 | 99.204.0.1 to 99.205.255.254 | 99.205.255.255 | 131,070 |
| 232 | 99.206.0.0/15 | 99.206.0.1 to 99.207.255.254 | 99.207.255.255 | 131,070 |
| 233 | 99.208.0.0/15 | 99.208.0.1 to 99.209.255.254 | 99.209.255.255 | 131,070 |
| 234 | 99.210.0.0/15 | 99.210.0.1 to 99.211.255.254 | 99.211.255.255 | 131,070 |
| 235 | 99.212.0.0/15 | 99.212.0.1 to 99.213.255.254 | 99.213.255.255 | 131,070 |
| 236 | 99.214.0.0/15 | 99.214.0.1 to 99.215.255.254 | 99.215.255.255 | 131,070 |
| 237 | 99.216.0.0/15 | 99.216.0.1 to 99.217.255.254 | 99.217.255.255 | 131,070 |
| 238 | 99.218.0.0/15 | 99.218.0.1 to 99.219.255.254 | 99.219.255.255 | 131,070 |
| 239 | 99.220.0.0/15 | 99.220.0.1 to 99.221.255.254 | 99.221.255.255 | 131,070 |
| 240 | 99.222.0.0/15 | 99.222.0.1 to 99.223.255.254 | 99.223.255.255 | 131,070 |
| 241 | 99.224.0.0/15 | 99.224.0.1 to 99.225.255.254 | 99.225.255.255 | 131,070 |
| 242 | 99.226.0.0/15 | 99.226.0.1 to 99.227.255.254 | 99.227.255.255 | 131,070 |
| 243 | 99.228.0.0/15 | 99.228.0.1 to 99.229.255.254 | 99.229.255.255 | 131,070 |
| 244 | 99.230.0.0/15 | 99.230.0.1 to 99.231.255.254 | 99.231.255.255 | 131,070 |
| 245 | 99.232.0.0/15 | 99.232.0.1 to 99.233.255.254 | 99.233.255.255 | 131,070 |
| 246 | 99.234.0.0/15 | 99.234.0.1 to 99.235.255.254 | 99.235.255.255 | 131,070 |
| 247 | 99.236.0.0/15 | 99.236.0.1 to 99.237.255.254 | 99.237.255.255 | 131,070 |
| 248 | 99.238.0.0/15 | 99.238.0.1 to 99.239.255.254 | 99.239.255.255 | 131,070 |
| 249 | 99.240.0.0/15 | 99.240.0.1 to 99.241.255.254 | 99.241.255.255 | 131,070 |
| 250 | 99.242.0.0/15 | 99.242.0.1 to 99.243.255.254 | 99.243.255.255 | 131,070 |
| 251 | 99.244.0.0/15 | 99.244.0.1 to 99.245.255.254 | 99.245.255.255 | 131,070 |
| 252 | 99.246.0.0/15 | 99.246.0.1 to 99.247.255.254 | 99.247.255.255 | 131,070 |
| 253 | 99.248.0.0/15 | 99.248.0.1 to 99.249.255.254 | 99.249.255.255 | 131,070 |
| 254 | 99.250.0.0/15 | 99.250.0.1 to 99.251.255.254 | 99.251.255.255 | 131,070 |
| 255 | 99.252.0.0/15 | 99.252.0.1 to 99.253.255.254 | 99.253.255.255 | 131,070 |
| 256 | 99.254.0.0/15 | 99.254.0.1 to 99.255.255.254 | 99.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |